OSEC

Neohapsis is currently accepting applications for employment. For more information, please visit our website www.neohapsis.com or email hr@neohapsis.com
Postfix Archives: [PATCH] to INSTALL.sh to ensure successful co

[PATCH] to INSTALL.sh to ensure successful completion returns 0


Simon J Mudd (sjmuddpobox.com)
Tue, 23 Nov 1999 00:15:32 +0100 (CET)


Wietse,

I think running INSTALL.sh always returns 1. This has an unfortunate
effect if the scripts calling it assume this is an error condition.

Would you accept this trivial patch which ensures that if installation is
successfull the return value of the script is 0?

--- postfix-19990906-pl07/INSTALL.sh.p3 Sat Nov 13 18:57:20 1999
+++ postfix-19990906-pl07/INSTALL.sh Mon Nov 22 23:54:09 1999
-7,7 +7,8
 umask 022
 
 # Workaround, should edit main.cf in place.
-trap 'rm -f ./main.cf; exit 1' 0 1 2 3 15
+trap 'rm -f ./main.cf; exit 0' 0
+trap 'rm -f ./main.cf; exit 1' 1 2 3 15
 
 cat <<EOF
 
--------------------------------------------------

Regards,

Simon

-- 
Simon J Mudd, Madrid SPAIN    Tel: +34-91-408 4878    email: sjmuddpobox.com



This archive was generated by hypermail 2.0b3 on Mon Nov 22 1999 - 17:20:52 CST